#community.inner{
    width: 100%;
    max-width: 100%;
}
#community .wrapper{
    display: flex;
    width: 100vw;
    height: calc(100dvh - 40px - 65px );
    margin-bottom: -50px;
    overflow-x: hidden;
}

#community #channels{
    background: #eeeeee;
    padding: 10px;
    width: 160px;
    font-size: 12px;
    overflow-x: visible;
    overflow-y: auto;
}
#community #channels li{
    cursor: pointer;
    padding: 10px 10px;
    white-space: nowrap;
    border-radius: 5px;
    /* margin-bottom: 10px; */
    color: #666666;
    display: inline-block;
    min-width: 100%;
    position: relative;
}
#community #channels li i{
    position: absolute;
    left: -6px;
    top: 0.6rem;
    width: 1.7em;
    text-align: center;
    background: #ff0000;
    color: #ffffff;
    font-weight: bold;
    border-radius: 100px;
    padding: 3px 2px;
    font-size: 0.5rem;
}
#community #channels li.unread{
    font-weight: bold;
    color: #000000;
}
#community #channels li.active,
#community #channels li:hover{
    /* font-weight: bold; */
    background: #dddddd;
    color: #000000;
}

#community #community_main{
    background: #eeeeee;
    width: calc(100% - 160px);
    /* max-width: calc(100vw - 160px); */
    display: flex;
    flex-direction: column;
}

#community #community_main .header{
    background: #cccccc;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px;
    height: 40px;
}
#community #community_main .header .search{
    margin-left: auto;
    position: relative;
    display: none;
}
#community #community_main .header label i{
    padding: 0px 0px;
    display: none;
}
#community:has(#channels li i) #community_main .header label h3:before{
    content: '!';
    background: #ff0000;
    color: #ffffff;
    font-weight: bold;
    font-size: 0.6rem;
    width: 0.6rem;
    text-align: center;
    border-radius: 100px;
    margin-right: 5px;
    padding: 2px;
    display: inline-block;
}
#community #community_main .header label i,
#community #community_main .header label h3{
    display: inline-block;
}
#community #community_main .header label input{
    display: none;
}
#community #community_main .header label input#check_join_only{
    display: inline-block;
    vertical-align: middle;
}
#community #community_main .header label:has(input#check_join_only){
    margin-right: 10px;
}
#community #community_main .header .search input{
    border: 1px solid #999999;
    border-radius: 100px;
    font-size: 16px;
    padding: 3px 10px;
    position: relative;
    top: -4px;
    width: 200px;
    outline: none;
}
#community #community_main .header .search button{
    position: absolute;
    right: -9px;
    top: -13px;
    color: #000000;
    font-size: 16px;
    padding: 1px 5px 0px 0px;
    width: 30px;
    height: 26px;
    background: none;
    border: 0px;
}
#community #community_main .main{
    height: 100%;
    overflow-y: scroll;
}
#community #community_main:has(#conf_panel) .main{
    overflow-y: hidden;
}
#community #community_main .input{
    margin-top: auto;
    background: #cccccc;
    padding: 10px;
}
#community #community_main:has(#conf_panel) .input{
    display: none;
}
#community #community_main .input .inner{
    max-width: 100%;
    width: 100%;
    border: 1px solid #999999;
    background: #ffffff;
    position: relative;
    /* overflow: hidden; */
    border-radius: 5px;
    display: flex;
    flex-wrap: wrap;
}
#community #community_main .input .inner #upload_files.hasfile{
    background: #ffffff;
    height: 100px;
    width: 100%;
    margin-bottom: 10px;
    border-bottom: 1px solid #cccccc;
}
#community #community_main .input .inner #input_message{
    resize: none;
    border: 0px;
    padding: 10px;
    width: calc(100% - 84px);
    font-size: 16px;
    outline: none;
    max-height: 100px;
    overflow-y: scroll;
    scrollbar-width: thin;
    scroll-behavior: smooth;
    line-height: 1.4;
}
#community #community_main s{
    text-decoration: none;
}
#community #community_main u[data-uid]{
    font-weight: bold;
    text-decoration: none;
    background: #c0cfff;
    color: #2626a0;
    border-radius: 3px;
    padding: 0px 5px;
    display: inline-block;
    font-size: 0.9em;
    line-height: 1.4em;
    padding-bottom: 1px;
}
#community #community_main u[data-uid]:before{
    content: "@" attr(data-nickname);
}
#community #community_main .input .inner button{
    border: 0px;
    background: none;
    width: 32px;
    height: 32px;
    background: #999999;
    border-radius: 100px;
    color: #ffffff;
    margin: 5px;
}
#message_list li.message {
    display: flex;
    padding: 10px;
    gap: 10px;
    max-width: 100vw;
    flex-wrap: wrap;
}
#message_list li.message.reply_to{
    borx-sizing: border-box;
    border-left: 4px solid #00c92b;
    background: #d8efdd;
    
}
#message_list li.message:hover {
    background: #e9e9e9;
}
#message_list li.message .message_wrap{
    width: calc(100% - 58px);
}
#message_list li.message .message_summery{
    display: flex;
    align-items: center;
    gap: 10px;
}
#message_list li.message .message_summery strong {
    font-weight: bold;
    font-size: 16px;
}
#message_list li.message .message_summery u {
    display: none;
}
#message_list li.message .message_summery {
    font-size: 12px;
    color: #333333;
    min-height: 24px;
}
#message_list li.message.author-me .message_summery button{
    display: flex;
}
#message_list li.message .message_summery button{
    margin-left: auto;
    border:  1px solid #999999;
    width:  24px;
    height: 24px;
    border-radius: 100px;
    color: #666666;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    /* display: none; */
}
#message_list li.message .avatar {
    background: #ff9999;
    width: 48px;
    height: 48px;
    min-width: 48px;
    border-radius: 100px;
    background-size: cover;
    background-position: center;
}
#message_list li.message .avatar-pr{
    background-image: url("https://laurier-hub.com/wp/wp-content/uploads/2025/05/ad_icon.jpg");
}
#message_list li.message .reply .avatar {
    height: 20px;
    width: 20px;
    min-width: 20px;
    display: inline-block;
    vertical-align: middle;
}
#message_list li.message .reply u {
    border: 2px solid #999999;
    border-radius: 5px 0px 0px 0px;
    border-width: 2px 0px 0px 2px;
    width: 60px;
    max-width: 10vw;
    /* height: 14px; */
    position: relative;
    margin-bottom: 9px;
    top: 9px;
    left: 24px;
    margin-right: 20px;
}
#message_list li.message .reply:hover {
    background: #dddddd;
}

#message_list li.message .reply {
    width: 100%;
    display: flex;
    gap: 10px;
    margin-bottom: -5px;
}
#message_list li.message .reply .reply_main {
    max-width: calc(100% - 60px);
    text-overflow: ellipsis;
    max-height: 2.2em;
    overflow: hidden;
}
#message_list li.message .reply .reply_body {
    display: -webkit-box;
    word-break: break-all;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    font-size: 12px;
    color: #999999;
}
#message_list li.message .reply .reply_body div {
    display: inline;
}
#message_list li.message .reply strong {
    font-weight: bold;
    color: #666666;
    font-size: 10px;
    line-height: 20px;
    white-space: nowrap;
    max-width: 20vw;
    text-overflow: ellipsis;
    overflow: hidden;
}
#message_list li.message .message_body{
    line-height: 1.3em;
    font-size: 14px;
}
#message_list li.message .message_body .message_image img{
    max-width: 256px;
    max-height: 256px;
}
#message_list li.message .message_body .message_text{
    word-break: break-all;
}
#message_list li.message .message_body a{
    color: #0033ff;
    text-decoration: underline;
}
#community #community_main .header .search button,
#community #community_main .header{
    font-size: 12px;
}
#community_main .pagination{
    margin-left: auto;
    position: relative;
}
#community_main .pagination > ul {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    font-size: 12px;
    align-items: center;
}
#community_main .pagination > ul li:hover {
    opacity: 0.5;
}
#community_main .pagination > ul li.active {
    font-weight: bold;
    background: #666666;
    border-radius: 100px;
    color: #ffffff;
    padding: 2px 0px;
}
#community_main .pagination > ul a {
    padding: 0px 12px;
}

#message_list li.no_data{
    font-size: 12px;
    margin: 40px auto;
    text-align: center;
}

#upload_files{
    display: flex;
    width: 100%;
    overflow-x: auto;
}
#upload_files .upload_file{
    margin: 5px 10px 5px 5px;
    position: relative;
}
.upload_file_thumb {
    border-radius: 5px;
    border: 1px solid #999999;
    width: 100px;
    height: 100px;
    position: relative;
    background: #eeeeee;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}
#community #community_main #upload_files .upload_file_delete{
    background: none;
    text-align: center;
    color: #ff6666;
    font-size: 24px;
    padding: 0px;
    margin: 0px;
    position: absolute;
    right: 0px;
    top: 0px;
}
#msg_popup {
    display: none;
}

#msg_popup.show {
    display: block;
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background: rgba(0,0,0,0.5);
    z-index: 100;
}
#msg_popup .msg_popup_body {
    background: #ffffff;
    width: 95vw;
    max-width: 400px;
    min-height: 200px;
    margin: auto;
    border-radius: 10px 10px 0px 0px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -100dvh;
    padding: 10px;
    padding-top: 30px;
    padding-bottom: 120px;
}
#msg_popup.show .msg_popup_body {
    bottom: 0dvh;
}
#msg_popup_close{
    position: absolute;
    top: 0px;
    right: 0px;
    width: 32px;
    height: 32px;
    font-size: 18px;
    text-align: center;
    padding: 0px;
    border: 0px;
    background: none;
    color: #999999;
}

.message_wrap .stamp:not(:empty){
    margin-top: 10px;
}
.message_wrap .stamp,
.msg_menu_stamp{
    display: flex;
    gap: 10px;
    overflow-y: hidden;
    overflow-x: auto;
    margin-bottom: 10px;
}
.message .stamp label,
.msg_menu_stamp li{
    border: 1px solid #cccccc;
    border-radius: 5px;
    padding: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
}
.message .stamp label span {
    padding: 5px;
    font-size: 12px;
}
#body [data-ar="add"],
.msg_menu_stamp li:hover{
    border-color: #339966;
    background: #aaffbb;
}
.stamp i,
.msg_menu_stamp li i{
    display: block;
    width: 30px;
    height: 30px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.msg_menu{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.msg_menu li{
    background: #eeeeee;
    padding: 10px;
    border-radius: 5px;
    color: #000000;
    cursor: pointer;
}
.msg_menu li:hover{
    opacity: 0.7;
}
.msg_menu li:has(.fa-circle-xmark){
    color: #cc0000;
}
.msg_menu li i {
    margin-right: 5px;
}

.msg_menu #msg_menu_edit{
    display: none;
}
.msg_menu #msg_menu_delete{
    display: none;
}
.author-me .msg_menu #msg_menu_edit{
    display: block;
}
.author-me .msg_menu #msg_menu_delete{
    display: block;
}
#reply_message ul {
    display: flex;
    justify-content: space-between;
}
#reply_message,
#edit_message {
    display: none ;
    width: 100%;
    background: #ffcccc;
    padding: 5px;
    font-size: 12px;
    cursor: pointer;
}
#reply_message i,
#edit_message i{
    margin-right: 5px;
}
.message_body .message_edit{
    font-size: 10px;
    color: #999999;
}

#popup_reply,
#msg_temp {
    display: none;
}
.message-pr ins {
    min-height: 100px;
    max-height: 250px;
    min-width: 250px;
    max-width: min(100vw, 720px);
}

#footer .inner *{
    margin: 0px;
}
#footer .inner {
    max-width: 100%;
    width: 100%;
    padding: 0px 10px;
}
#footer .inner,
#footer_pages dl{
    display: flex;
    gap: 20px;
    align-items: center;
}
#footer #footer_copyright{
    margin-left: auto;
    display: flex;
    padding: 0px;
}
#mention_list {
    line-height: 15px;
    font-size: 12px;
    display: none;
    position: fixed;
    left: 46px;
    background: #eeeeee;
    box-shadow: -0px -1px 3px rgba(0,0,0,0.5);
    position: absolute;
    bottom: -10px;
    border-radius: 10px 10px 0px 0px;
    padding: 10px;
    width: min(300px, calc(100vw - 100px));
}
#mention_list label{
    font-weight: bold;
    display: block;
    margin-bottom: 10px;
}
#mention_list .mention_list_body {
    overflow: scroll;
    height: 100%;
    min-height: 100px;
    max-height: calc(20dvh);
    scrollbar-width: none;
    scroll-behavior: smooth;
}
#mention_list dl dd {
    display: flex;
    padding: 5px;
    gap: 5px;
    cursor: pointer;
}
#mention_list dl dd.select,
#mention_list dl dd:hover {
    background: #cccccc;
    border-radius: 5px;
}
#mention_list dl dd span {
    margin-left: auto;
    color: #999999;
}
#mention_list dl dd i.avatar {
    display: inline-block;
    min-width: 16px;
    height: 16px;
    background: #999999;
    border-radius: 100px;
    background-size: cover;
}
#mention_list #btn_mention_close{
    position: absolute;
    top: 0px;
    right: 0px;
    width: 32px;
    height: 32px;
    font-size: 18px;
    text-align: center;
    padding: 0px;
    border: 0px;
    background: none;
    color: #999999;
}

#conf_panel #table-container th span {
    max-width: 5em;
    height: 1em;
    position: relative;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;   
}
#conf_panel th:has(.all_allow) div,
#conf_panel td:has(.all_allow) div,
#conf_panel [data-id] div{
    display: flex;
    gap: 5px;
    justify-content: center;
    margin-top: 5px;
}
#conf_panel th:has(.all_allow) label,
#conf_panel td:has(.all_allow) label,
#conf_panel [data-id] div label{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3px;
    justify-content: center;
    
}
#conf_panel :has(.all_allow) label,
#conf_panel [data-id] div label span{
    font-size: 8px;
}

#conf_panel [data-id] div label input{
    display: none;
}
#conf_panel .all_allow i,
#conf_panel .all_deny i,
#conf_panel [data-id] div label i{
    font-family: "Font Awesome 6 Free";
    font-size: 18px;
    width: 18px;
    height: 18px;
}
#conf_panel [data-id] div label.blank i:before{
    font-weight: 700;
    content: "\f6e2";
    color: #cccccc;
}

#conf_panel .all_allow i:before,
#conf_panel [data-id] div label.allow i:before{
    font-weight: 400;
    content: "\f058";
    color: #009900;
}
#conf_panel .all_deny i:before,
#conf_panel [data-id] div label.deny i:before{
    font-weight: 900;
    content: "\f05e";
    color: #cc0000;
}

#conf_panel #searchBox {
    margin-bottom: 10px;
    padding: 5px;
    width: 300px;
    font-size: 16px;
}

#conf_panel #table-container {
    height: calc(100vh - 144px);
    overflow-y: scroll;
    overflow-x: scroll;
    border: 1px solid #ccc;
    position: relative;
}

#conf_panel table {
    border-spacing: 0;
    border-collapse: collapse;
    width: 100%;
    top: 0px;
    position: absolute;
    font-size: 14px;
}

#conf_panel th, #conf_panel td {
    padding: 4px 10px;
    border-bottom: 2px solid #eee;
    text-align: left;
    background: white;
    min-height: 50px;
    height: 50px;
    vertical-align: middle;
}
#conf_panel tfoot td{
    background: #eee;
}
#conf_panel th{
    position: sticky;
    top: 0px;
    left: 0px;
    z-index: 1;
    background: #eeeeee;
}
#conf_panel th,
#conf_panel td[data-id] {
    min-width: 90px;
    max-width: 90px;
}
#conf_panel .data_name{
    min-width: 220px;
    max-width: 220px;
}
#conf_panel .user_meta u{
    cursor: pointer;
}
#conf_panel .user_sort{
    display: flex;
    align-items: center;
    gap: 10px;
}
#conf_panel .user_sort u{
    font-size: 10px;
    text-decoration: none;
    color: #999999;
    cursor: pointer;
}
#conf_panel .user_sort u i:before{
    content: '\25B2';
    font-size: 6px;
    display: inline-block;
    position: relative;
    top: -2px;
    margin-left: 3px;
}
#conf_panel .user_sort u.desc i:before{
    content: '\25BC';
}
#conf_panel .user_sort u.desc,
#conf_panel .user_sort u.asc{
    color: #3333ff;
}
#conf_panel .user_search{
    margin-top: 5px;
    position: relative;
}
#conf_panel #searchBox{
    font-size: 14px;
    margin: 0px;
    border: 1px solid #999999;
    border-radius: 5px;
    width: 100%;
}
#conf_panel #btn_user_search{
    position: absolute;
    right: 2px;
    top: 5px;
    background: none;
    border: none;
}
#btn_save_conf{
    border-radius: 5px;
    border: 0px;
    background: #eeeeee;
    cursor: pointer;
    padding: 5px 15px;
}
#conf_panel td:has(.all_allow),
#conf_panel .data_bulk{
    min-width: 80px;
    text-align: center;
    justify-content: center;
}
#conf_panel .data_name .user_meta{
    font-size: 10px;
    display: flex;
    gap: 10px;
    margin-top: 5px;
}
#conf_panel .data_name .user_meta time{
    margin-left: auto;
    color: #999;
}
#conf_panel tbody tr {
    max-height: 50px;
}

#conf_panel thead th {
    /* position: fixed; */
    background: #f0f0f0;
    white-space: nowrap;
    min-height: 30px;
    max-height: 30px;
    height: 30px;
}

#community #community_main .header .config_tool{
    display: none;
}
#community #community_main:has(#conf_panel) .header .config_tool{
    display: block;
    margin-left: auto;
}
#community #community_main:has(#conf_panel) #message_list {
    position: fixed;
    z-index: 100;
    top: 160px;
    bottom: 100px;
    right: 30px;
    left: 170px;
    background: #ffffff;
    overflow: scroll;
    overflow-x: hidden;
    border: 2px solid #999999;
    border-radius: 10px;
    padding: 10px;
    scrollbar-color: #999999 rgba(255, 255, 255, 0);
    scrollbar-width: thin;
    display: none;
}
#community #community_main:has(#conf_panel.popup) #message_list .message-pr{
    display: none;
}
#community #community_main:has(#conf_panel.popup) #message_list {
    display: block;
}
#message_list_close {
    display: none;
}
body:has(#conf_panel.popup) #message_list_close {
    position: fixed;
    top: 166px;
    right: 44px;
    display: block;
    z-index: 100;
    border: none;
    background: none;
    font-size: 20px;
    width: 20px;
    height: 20px;
    padding: 0px;
    color: #999999;
}

body:has(#conf_panel.popup) #message_list li.message .message_summery u {
    display: inline-block;
}
body:has(#conf_panel.popup) #message_list li.message .stamp i{
    width: 16px;
    height: 16px;
    
}
@media screen and (max-width: 1100px) {
    .stamp i, .msg_menu_stamp li i{
        width: 20px;
        height: 20px;
    }
    #community #channels{
        display: none;
        overflow: auto;
        min-width: 150px;
        border-right: 1px solid #999999;
    }
    #community:has(input.show_channels:checked) #channels{
        display: block;
        font-size: 12px;
    }
    #community:has(input.show_channels:checked) #community_main label i{
        transform: scaleX(-1);        
    }

    #body .inner{
        max-width: 100%;
    }
    #community #community_main{
        width: 100vw;
    }
    #community .wrapper {
        height: calc(100dvh - 65px);
    }
    #community #community_main .header label{
        display: flex;
        gap: 5px;
    }
    #community #community_main .header label i {
        display: inline-block;
    }
    #community #community_main .header .search input {
    display: none;
    }
    #message_list li.message .message_body,
    #message_list li.message .message_summery strong{
        font-size: 14px;
    }
    #message_list li.message .message_summery {
        font-size: 10px;
        color: #333333;
    }
    #footer #footer_box dl,
    #footer .inner {
        display: block;
    }
    #footer #footer_box dl dt,
    #footer #footer_box dl dd {
        margin-top: 10px;
    }
    #footer #footer_copyright {
        padding: 10px 0px;
    }
    body:has(#input_message:focus) #footer {
        padding: 0px;
    }
    body:has(#input_message:focus) #footer .inner {
        display: none;
    }
} 